Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 987821 - [Windows Guest Tools] APT uninstallation shows warning about 'unknown publisher'
Summary: [Windows Guest Tools] APT uninstallation shows warning about 'unknown publisher'
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Windows Guest Tools
Version: 3.1.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.3.0
Assignee: Lev Veyde
QA Contact: Dušan Kajan
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-24 08:38 UTC by Jiri Belka
Modified: 2015-09-22 13:09 UTC (History)
10 users (show)

Fixed In Version: rhev-guest-tools-iso-3.3-6
Doc Type: Bug Fix
Doc Text:
Previously the RHEV-APT MSI installer was supplied with an EXE wrapper, and due to the build process only the external EXE can be signed, but not the MSI within it. Consequently, uninstalling APT produced a warning about an 'unknown publisher'. The installation process has been modified to sign the internal MSI of the APT installer, so this error no longer occurs.
Clone Of:
Environment:
Last Closed: 2013-09-29 07:42:33 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0075 normal SHIPPED_LIVE rhev-guest-tools-iso bug fix and enhancement update 2014-01-21 20:14:48 UTC

Description Jiri Belka 2013-07-24 08:38:54 UTC
Description of problem:
When uninstalling APT, I can see system popup with text:

User Account Control
--------------------
Do yo uwant to allow the following program from an
unknown publisher to make changes to this computer?
---------------------------------------------------
Program name: C:\Windows\Installer\e4a0.msi
Publisher: Unknown
File origin: Hard drive on this computer
Program location: Update
                  4.8.4
                  Red Hat Inc.
                  English (United States)
                  C:\Windows\Installer\e4a0.msi

Clicking 'OK' make the installation proceed and finish OK.

Version-Release number of selected component (if applicable):
3.1.14 / 3.1.5

How reproducible:
100%

Steps to Reproduce:
1. install APT
2. try to uninstall APT (tried on w7 x64)
3.

Actual results:
annoying warning

Expected results:


Additional info:

Comment 4 Shai Revivo 2013-09-29 07:42:33 UTC
This bug was fixed and is slated to be in the upcoming version. As we are focusing our testing at this phase on severe bugs, this bug was closed without going through its verification step

Comment 5 Charlie 2013-12-06 06:13:56 UTC
Does this require doc text? If so how was it resolved?

Comment 6 Lev Veyde 2013-12-08 10:00:32 UTC
(In reply to Charlie from comment #5)
> Does this require doc text? If so how was it resolved?

Not sure if it requires doc text.

The installation process was modified to sign the internal MSI of the APT installer, in addition to it's external wrapper that was previously signed.


Note You need to log in before you can comment on or make changes to this bug.